package com.keao.edu.user.page;


import com.keao.edu.common.page.QueryInfo;
import com.keao.edu.user.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

public class SubjectQueryInfo extends QueryInfo {
    @ApiModelProperty(value = "父节点编号，默认0",required = false)
    private Integer parentId;

    @ApiModelProperty(value = "节点状态，默认0未删除，1删除",required = false)
    private YesOrNoEnum delFlag = YesOrNoEnum.NO;

    public YesOrNoEnum getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(YesOrNoEnum delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }
}
